%define _disable_source_fetch 0
%define debug_package %{nil}

Name:           kf6-krunner
Version:        6.24.0
Release:        1%{?dist}
Summary:        KDE Frameworks 6 - Plasma runner framework

License:        LGPL-2.0-or-later
URL:            https://invent.kde.org/frameworks/krunner
Source0:        https://download.kde.org/stable/frameworks/6.24/krunner-%{version}.tar.xz

BuildRequires:  extra-cmake-modules
BuildRequires:  kf6-rpm-macros
BuildRequires:  qt6-qtbase-devel
BuildRequires:  qt6-qtdeclarative-devel
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ItemModels)
BuildRequires:  sonic-frameworks-windowsystem-devel
BuildRequires:  gcc-c++

%description
KRunner provides a framework for creating plugins for search and execution.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       qt6-qtbase-devel
Requires:       cmake(KF6CoreAddons)

%description    devel
Development files for %{name}.

%prep
%autosetup -n krunner-%{version} -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%files
%license LICENSES/*
%{_libdir}/libKF6Runner.so.*
%{_datadir}/qlogging-categories6/krunner.categories
%{_datadir}/qlogging-categories6/krunner.renamecategories
%{_datadir}/dbus-1/interfaces/kf6_org.kde.krunner1.xml
%{_datadir}/kdevappwizard/templates/runner6.tar.bz2
%{_datadir}/kdevappwizard/templates/runner6python.tar.bz2

%files devel
%{_includedir}/KF6/KRunner/
%{_libdir}/libKF6Runner.so
%{_libdir}/cmake/KF6Runner/

%changelog
* Tue Mar 24 2026 Anders da Silva Rytter Hansen <andersrh@users.noreply.github.com> - 6.24.0-1
- Initial release of kf6-krunner 6.24.0
